'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _size = require('./variables/size');

var size = _interopRequireWildcard(_size);

var _color = require('./variables/color');

var color = _interopRequireWildcard(_color);

var _corner = require('./variables/corner');

var corner = _interopRequireWildcard(_corner);

var _font = require('./variables/font');

var font = _interopRequireWildcard(_font);

var _line = require('./variables/line');

var line = _interopRequireWildcard(_line);

var _shadow = require('./variables/shadow');

var shadow = _interopRequireWildcard(_shadow);

var _icon = require('./variables/icon');

var icon = _interopRequireWildcard(_icon);

var _varLoader = require('./util/var-loader');

var loaders = _interopRequireWildcard(_varLoader);

var _mixin = require('./util/mixin');

var mixin = _interopRequireWildcard(_mixin);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var BaseVariables = _extends({}, mixin, loaders, size, color, corner, font, line, shadow, icon);
function injectCore(obj) {
    return Object.assign(BaseVariables, obj);
}
BaseVariables.injectCore = injectCore;
exports.default = BaseVariables;
module.exports = exports['default'];