'use strict';

import { vLoader } from '../util/var-loader';

function getGlobalVal(base, times) {
  return base * times;
}

const sizeBase = vLoader(8);
const s0 = getGlobalVal(sizeBase, 0);
const s1 = getGlobalVal(sizeBase, 1);
const s2 = getGlobalVal(sizeBase, 2);
const s3 = getGlobalVal(sizeBase, 3);
const s4 = getGlobalVal(sizeBase, 4);
const s5 = getGlobalVal(sizeBase, 5);
const s6 = getGlobalVal(sizeBase, 6);
const s7 = getGlobalVal(sizeBase, 7);
const s8 = getGlobalVal(sizeBase, 8);
const s9 = getGlobalVal(sizeBase, 9);
const s10 = getGlobalVal(sizeBase, 10);
const s11 = getGlobalVal(sizeBase, 11);
const s12 = getGlobalVal(sizeBase, 12);
const s13 = getGlobalVal(sizeBase, 13);
const s14 = getGlobalVal(sizeBase, 14);
const s15 = getGlobalVal(sizeBase, 15);
const s16 = getGlobalVal(sizeBase, 16);
const s17 = getGlobalVal(sizeBase, 17);
const s18 = getGlobalVal(sizeBase, 18);
const s19 = getGlobalVal(sizeBase, 19);
const s20 = getGlobalVal(sizeBase, 20);

/**
 * 尺寸
 * @namespace component
 * @property module size
 * @property category style
 */

const varMap = {
  /**
   * size-base
   * @property semantic 基础尺寸
   * @property export
   */
  'size-base': sizeBase,
  /**
   * s0
   * @property export
   */
  's-0': s0,
  /**
   * s1
   * @property export
   * @property calculate ['size-base']*1
   */
  's-1': s1,
  /**
   * s2
   * @property export
   * @property calculate ['size-base']*2
   */
  's-2': s2,
  /**
   * s3
   * @property export
   * @property calculate ['size-base']*3
   */
  's-3': s3,
  /**
   * s4
   * @property export
   * @property calculate ['size-base']*4
   */
  's-4': s4,
  /**
   * s5
   * @property export
   * @property calculate ['size-base']*5
   */
  's-5': s5,
  /**
   * s6
   * @property export
   * @property calculate ['size-base']*6
   */
  's-6': s6,
  /**
   * s7
   * @property export
   * @property calculate ['size-base']*7
   */
  's-7': s7,
  /**
   * s8
   * @property export
   * @property calculate ['size-base']*8
   */
  's-8': s8,
  /**
   * s9
   * @property export
   * @property calculate ['size-base']*9
   */
  's-9': s9,
  /**
   * s10
   * @property export
   * @property calculate ['size-base']*10
   */
  's-10': s10,
  /**
   * s11
   * @property export
   * @property calculate ['size-base']*11
   */
  's-11': s11,
  /**
   * s12
   * @property export
   * @property calculate ['size-base']*12
   */
  's-12': s12,
  /**
   * s13
   * @property export
   * @property calculate ['size-base']*13
   */
  's-13': s13,
  /**
   * s14
   * @property export
   * @property calculate ['size-base']*14
   */
  's-14': s14,
  /**
   * s15
   * @property export
   * @property calculate ['size-base']*15
   */
  's-15': s15,
  /**
   * s16
   * @property export
   * @property calculate ['size-base']*16
   */
  's-16': s16,
  /**
   * s17
   * @property export
   * @property calculate ['size-base']*17
   */
  's-17': s17,
  /**
   * s18
   * @property export
   * @property calculate ['size-base']*18
   */
  's-18': s18,
  /**
   * s19
   * @property export
   * @property calculate ['size-base']*19
   */
  's-19': s19,
  /**
   * s20
   * @property export
   * @property calculate ['size-base']*20
   */
  's-20': s20,
};

export default varMap;
